Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get bill by ID.
cURL
curl --request GET \ --url https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}
import requestsurl = "https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}") .asString();
require 'uri'require 'net/http'url = URI("https://vinmake-erp.onrender.com/api/v1/bills/{bill_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "id": "<string>", "billNumber": "<string>", "billType": "<string>", "supplierId": "<string>", "supplierName": "<string>", "clientId": "<string>", "employeeName": "<string>", "employeeId": "<string>", "linkedPoId": "<string>", "purchaseOrderId": "<string>", "purchaseOrderDocumentId": "<string>", "purchase_order": {}, "managementAccountId": "<string>", "currency": "<string>", "subtotal": 123, "taxRate": 123, "taxAmount": 123, "totalAmount": 123, "paidAmount": 123, "remainingBalance": 123, "dueDate": "<string>", "status": "<string>", "sourceOfFunds": "<string>", "notes": "<string>", "createdAt": "<string>", "glPosted": true, "postedAt": "<string>", "grnId": "<string>", "matchStatus": "<string>", "priceVarianceAmount": 123, "taxInvoiceReceivedDate": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>", "input": "<unknown>", "ctx": {} } ]}
Successful Response